=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kscreen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6config-dev (>= 6.10.0~),
@@ -18,26 +17,26 @@
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6svg-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.2.90~),
+               libkscreen-dev (>= 4:6.3.0~),
                liblayershellqtinterface-dev (>= 6.2.90~),
-               libplasma-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.3.0~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
                libxi-dev,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
                qt6-sensors-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreen.git
 Rules-Requires-Root: no
 
 Package: kscreen
 Architecture: any
-Depends: kde-cli-tools (>= 4:6.1.0~),
+Depends: kde-cli-tools (>= 4:6.2.90~),
          plasma-desktoptheme,
          qml6-module-org-kde-config,
          qml6-module-org-kde-kcmutils,
