=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6svg-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.0~),
+               libkscreen-dev (>= 4:6.3.2~),
                liblayershellqtinterface-dev (>= 6.2.90~),
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
