=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kscreen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6config-dev (>= 6.10.0~),
@@ -17,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6svg-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.2~),
-               liblayershellqtinterface-dev (>= 6.2.90~),
-               libplasma-dev (>= 6.3.2~),
+               libkscreen-dev (>= 4:6.3.3~),
+               liblayershellqtinterface-dev (>= 6.3.3~),
+               libplasma-dev (>= 6.3.3~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
@@ -30,8 +31,8 @@
                qt6-sensors-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
 Rules-Requires-Root: no
 
 Package: kscreen
