=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6svg-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
-               libplasma-dev (>= 6.3.4~),
+               libkscreen-dev (>= 4:6.3.5~),
+               liblayershellqtinterface-dev (>= 6.3.5~),
+               libplasma-dev (>= 6.3.5~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
