=== debian/changelog ===
kscreen (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Kcm: round brightness value. Commit. (kde#505763)
    - Kcm: reload kwin config when tearing option is changed. (kde#504634,
    kde#496970)
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commit:
    - Avoid scaling factor input box endlessly growing as you type. [12d9cc49]

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Jul 2025 15:50:57 +0200

kscreen (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Osd: Create OsdManager after QGuiApplication. (kde#502486)
    - Kcm: Fix wrong settings shown when reverting changes. (kde#490586)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits:
    - Correctly show non-integer refresh rates. (kde#502764)
    - Fix tearing option not applying immediately and requiring a logoff /
    login. (kde#496970, kde#504634)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

kscreen (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:21 +0200
